# guid.cpp File Reference

Template File. More...

`#include "guid.h"`
`#include "quick_rng.h"`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <ETL/stringf>`
`#include <functional>`
`#include <time.h>`

## Defines

#define | MANUAL_GUID_CALC
#define | GUID_RNG quick_rng

## Functions

static void | _set_up_rand_long_long (uint64_t &x)
static void | _get_rand_long_long (uint64_t &x)

## Variables

static GUID_RNG | _a
static GUID_RNG | _b
static void(* | get_rand_long_long )(uint64_t &) = _set_up_rand_long_long

## Detailed Description

Template File.

$Id$

## Define Documentation

#define MANUAL_GUID_CALC

#define GUID_RNG quick_rng

Referenced by _set_up_rand_long_long(), and synfig::GUID::hasher().

## Function Documentation

static void _set_up_rand_long_long | ( | uint64_t & | x | ) | `[static]`

References _a, _b, _get_rand_long_long(), get_rand_long_long, and GUID_RNG.

static void _get_rand_long_long | ( | uint64_t & | x | ) | `[static]`

References _a.

Referenced by _set_up_rand_long_long().

## Variable Documentation

GUID_RNG _a `[static]`

Referenced by _get_rand_long_long(), and _set_up_rand_long_long().

GUID_RNG _b `[static]`

Referenced by _set_up_rand_long_long().

void(* get_rand_long_long)(uint64_t &) = _set_up_rand_long_long`[static]`

Referenced by _set_up_rand_long_long(), and synfig::GUID::make_unique().